#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>
#include <string>
#include <cstring>

typedef unsigned long long ull;
typedef long long ll;

ull n;
std::vector<ll> V;
std::vector<ll> Pr;


int main(void)
{
	std::cin >> n;

	V.resize(n);
	Pr.resize(n);

	memset(Pr.data(), 0, Pr.size() * sizeof(ll));

	for (ll i = 0; i < n; i++)
		std::cin >> V[i];

	/*std::cout << n / 2 + n % 2;*/

	for (ll i = 0; i < n; i++)
		if (V[i] != -1)
			Pr[V[i] - 1]++;

	while (true)
	{
		ll MPr = 0;
		for (ll i = 1; i < n; i++)
			if (Pr[MPr] < Pr[i])
				MPr = i;
		if (Pr[MPr] < 1)
			break;
		if (V[MPr] != -1)
			Pr[V[MPr] - 1]--;
		V[MPr] = -1;
		Pr[MPr] = -1;
	}

	ll Counter = 0;

	for (ll i = 0; i < n; i++)
		Counter += (Pr[i] == 0);

	std::cout << Counter;

	return 0;
}

//int main(void)
//{
//	ull a, b, c;
//
//	std::cin >> a >> b >> c;
//
//	ull off = c % 2;
//	ull count = 0;
//	ull NumOfCNeg;
//
//	if (off == 0)
//		NumOfCNeg = (a % 2 == 0);
//	else
//		NumOfCNeg = (a % 2 == 1) + b / c - a / c;
//	/*
//	if (c == 2)
//	{
//		std::cout << (b - a) / 2;
//		return 0;
//	}
//
//	if (b <= 100000)
//	{
//		for (ull i = a; i < b;)
//		{
//			if ((i + 2) % c == 0)
//				i++;
//			else
//				i += 2;
//			count++;
//		}
//		std::cout << count;
//		return 0;
//	}*/
//
//	std::cout << (b - a) / 2 + (b - a) % 2 - NumOfCNeg;
//
//	return 0;
//}